Skip to main content
GET
/
search
/
{id}
/
byok
Get BYOK provider results
curl --request GET \
  --url https://api.osint.ly/search/{id}/byok \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "mode": "default",
    "providers": {
      "osint_industries": {
        "status": "success",
        "result_count": 12,
        "started_at": "2026-05-27T12:00:03.000Z",
        "finished_at": "2026-05-27T12:00:18.000Z",
        "mapping_version": 1,
        "error": null,
        "raw": {
          "provider": "osint_industries",
          "search_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
          "result_count": 12,
          "status": "success",
          "mapping_version": 1,
          "started_at": "2026-05-27T12:00:03.000Z",
          "finished_at": "2026-05-27T12:00:18.000Z",
          "raw": []
        }
      }
    }
  },
  "meta": {
    "environment": "production",
    "timestamp": "2026-05-27T12:00:20.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Search UUID

Query Parameters

provider
enum<string>

Filter the response to a single BYOK provider. When omitted, all available BYOK providers for the search are returned.

Available options:
osint_industries,
sherlockeye

Response

BYOK provider status, metadata, and stored payloads

data
object
required
meta
object
required